.imagewall-wrapper-inner {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: calc((0.5) * var(--defaultunit));
}

.imagewall-item {
    position: relative;
    background-color: var(--color-yellow);
    overflow: hidden;
}


.imagewall-item-width-1 {
    grid-column: span 1;
}

.imagewall-item-width-2 {
    grid-column: span 2;
}


.imagewall-item-width-1 .imagewall-media {
    height: 100%;
    aspect-ratio: 1/1;
}

.imagewall-item-width-2 .imagewall-media {
    aspect-ratio: 2/1;
}

.imagewall-item img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    object-position: center;
}


.imagewall-item.hastitle.hasimage::before {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: linear-gradient(182deg, rgba(0, 0, 0, 0) 1.92%, rgba(0, 0, 0, 0.40) 64.91%);
}

.imagewall-item-text {
    position: absolute;
    bottom: calc(1 * var(--defaultunit));
    left: calc(1 * var(--defaultunit));
    right: calc(1 * var(--defaultunit));
    color: var(--color-black);
    hyphens: auto;
}

@media (min-width:1000px) and (max-width: 1200px) {
    .imagewall-item-text {
        bottom: calc(0.75 * var(--defaultunit));
        left: calc(0.75 * var(--defaultunit));
        right: calc(0.75 * var(--defaultunit));
    }
}

.imagewall-item.hasimage .imagewall-item-text {
    color: var(--color-white);
}


.imagewallitem-label {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    align-items: flex-end;
}

.imagewallitem-label span {
    flex: 0 0 40px;
    background: url(../../../Icons/arrow-up.svg) center calc(100% - 0.4em) no-repeat;
    background-size: contain;
    aspect-ratio: 1/1;
    display: block;
}

.imagewall-item.open .imagewallitem-label span {
    transform: rotate(180deg);
}

.imagewallitem-content {
    display: none;
}


@media (max-width: 1000px) {
    .imagewall-wrapper-inner {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 700px) {
    .imagewall-wrapper-inner {
        grid-template-columns: 1fr;
    }


    .imagewall-item-width-1 {
        grid-column: span 1;
    }

    .imagewall-item-width-2 {
        grid-column: span 1;
    }


    .imagewall-item-width-1 .imagewall-media {
        height: initial;
        aspect-ratio: 3/2;
    }

    .imagewall-item-width-2 .imagewall-media {
        aspect-ratio: 3/2;
    }

}